/**
 * Roles for colors.  Prefer using these over the palette.  It makes it easier
 * to change things.
 *
 * The only roles we need to place in here are the ones that span through the app.
 *
 * If you have a specific use-case, like a spinner color.  It makes more sense to
 * put that in the <Spinner /> component.
 */
export const color = {
  transparent: "rgba(0, 0, 0, 0)",
  background: "#E5E5E5",
  backgroundSoft: "#F5F6F8",
  button: "#E5E9EF",
  primary500: "#3BB549",
  primary: "#DE222F",
  neutral900: "#2F4858",
  neutral700: "#44494D",
  neutral600: "#677987",
  neutral500: "#7B8186",
  neutral400: "#B4BFC8",
  neutral300: "#EFF1F4",
  neutral200: "#F6F8FA",
  neutral100: "#F9F9F9",
  white: "#FFFFFF",
  border: "#D1D1D1",
  success: "#4AC256",
  semanticInfo: "#2C90EC",
  SemanticInfo100: "#EAF4FD",
  mainColor: "#DE222F",
  mainColor100: "#FFEBEF",
  mainColor600: "#DE222F",
  neutralDisable: "#9FABB6",
  textMute: "#66788A",
  black900: "#1A202C",
  black600: "#6E737E",
  black300: "#949CA4",
  accent500: "#44B1DD",
  lineColor: "#EFF1F4",
  borderTextfield: "#7B8186",
  text: "#677987",
  warning: "#FFBE40",
  disable: "#9FABB6"
};
//# sourceMappingURL=color.js.map